Skip to end of metadata
Go to start of metadata

中文标题【升级 Confluence】

在这个指南中,我们将会与你一同对最新的 Confluence 站点在 Windows 或者 Linux 平台进行安装和更新。

如果你的 Confluence 安装实例是当前的许可证的话,那么对 Confluence 进行升级是免费的。请参考页面 Licensing FAQ 中的内容来获得更多的信息。

对 Confluence 进行升级的其他方法:

XML 备份文件不能在升级的时候使用。

本页面中的内容:

在你开始之前

在你对 Confluence 进行升级之前,你需要对下面的一些问题进行了解。

使用安装文件的升级方式是否适合你?
 告诉我更多 ...


你可以选择使用安装程序,zip 或者 tar.gz 文件进行升级。在大部分情况下,使用安装程序为升级你 Confluence 安装实例最简便的方法。如果你遇到了下面的情况,那么你需要手动进行升级了:

  • 你现在移动到其他的操作系统或者文件的路径属于本次升级的一部分。
  • 你正在从 Confluence 3.5 或者早期版本上进行升级。
  • 你正在从 Confluence 5.6 或者早期版本上进行升级,但是这些早期版本使用的是 EAR/WAR 分发包来进行部署到一个已经存在的应用服务器上的。

你是否具有升级资格?

 告诉我更多 ...


希望对你当前运行 Confluence 的实例的许可证是否当前,你可以进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools 来确定你的许可证支持是否过期了。

  1. 软件维护(Software maintenance):在这个时间区间内进行升级。

如果你的许可证支持以及过期了,请在对 Confluence 进行升级之前按照提示的步骤来对许可证进行更新。

我们支持的平台是否有了改变?

 告诉我更多 ...

请查看 Supported Platforms 页面来查看你将要升级的 Confluence 版本。这个页面能够给你 Confluence 支持的操作系统,数据库和浏览器提供相关信息。

你应该了解:

  • Confluence 安装文件包含有 Java (JRE) 和 Tomcat。所以你不需要针对 Java 运行环境单独进行升级。
  • 如果你需要升级的数据库的话,请查看升级指南中有关支持的数据库版本,同时也请参考数据库的升级指南中的升级备注。
你是否需要修改你的环境?
 告诉我更多 ...


更新的 Confluence 版本有时候需要要求修改你的环境,例如提供更多的内存或者调整反向代理设置。

你应该了解:

我们使用 升级日志 来告诉你 Confluence 的升级版本将会对你产生什么影响,例如:

  • 修改支持的数据库,内存的需求,和其他的修改将会影响到你的 Confluence 运行环境。
  • Confluence 将会进行的重大修改和从这次发行版本中删除的内容。
  • 当你升级完成后,你应该对你 Confluence 安装实例马上进行的操作。

针对你进行升级的 Confluence 版本之间,这些信息是非常重要的,你应该有所了解。例如,如果你从 Confluence 的 5.8 版本升级到 5.10 版本,你应该阅读 Confluence 5.9 和 5.10 版本的发行备注。


计划你的升级

1. 确定你升级路径

使用下面的表格来确定最佳的升级路径来让你的Confluence 从当前版本升级到最新的 Confluence 版本。

你的版本

推荐升级到 Confluence 的升级路径

2.7 或者更早升级到 2.7.4 然后升级到 3.5.17,然后按照下面的升级路径。
2.8 到 3.4升级到 3.5.17,然后按照下面的升级路径。
3.5

升级到 5.0.3 ,然后升级到最新的 Confluence 6

4.0 到 4.3 

升级到 5.10.x ,然后升级到最新的 Confluence 6

5.0 到 6.x

直接升级到最新的 Confluence 6

 

Confluence 是一个主要的升级版本

请确定你在对你生产环境上进行升级之前,已经阅读了 Confluence 6.0 Upgrade Notes,进行了必要的备份,进行了测试你的升级(这边测试升级不应该在生产环境上进行测试)。

2. 完成预升级检查


  1. 针对你计划升级的版本查看 Upgrade Notes 页面来了解升级的内容(和版本直接的内容)。
      

  2. 进入  > 基本配置(General Configuration) > 问题检查和支持工具(Troubleshooting and support tools 来运行健康检查(Confluence 及其后续版本中可用)。

     许可证已过期?

    你的软件维护包含在你许可证有效期内,如果你的许可证已经过期了的话,你还是可以使用 Confluence 的,但是在升级之前你需要更新你的许可证。

    进入  > 基本配置(General Configuration) > 许可证明细(License Details)根据提示来更新你的许可证。

     还在使用的是嵌入式数据库?

    如果你使用的是 嵌入式数据库(测试用),你需要在升级 整合到其他的数据库(Migrating to Another Database)

    这个数据库是针对 Confluence 进行评估使用的,我们不推荐在生产环境中使用这个数据库。请参考 Embedded H2 Database 来获得更多的信息。

     数据库字符集不正确?

    数据库的字符集必须设置为 UTF+8(如果你使用的是 Oracle 数据库,那么需要设置为 AL32UTF8 )。如果你的数据库字符集不正确的话,你将没有办法升级 Confluence 到当前最新的版本。

      

  3. 进入   然后向下移动到 Confluence 升级检查(Confluence Update Check)来检查你插件的兼容性
      

  4. 选择你计划升级的版本然后单击 检查(Check)

     如果你有不兼容的插件...

    如果你的使用依赖一些特定的插件,那么你需要等待这些插件变得可用的时候才考虑对 Confluence 进行升级。Confluence 的插件提供商通常在主要版本更新后较短的时间内都会进行更新。

    你需要了解:

    • 如果你的升级不兼容的话,你可以临时的禁用插件。
    • Atlassian Labs 和其他免费的插件通常不会在新版本发布后马上可用。在绝大部分情况下这些插件还是可以使用的。你可以在对服务器版本进行升级之前先在测试站点中先进行测试。

3. 在测试环境中升级 Confluence

  1. 创建一个从当前生产环境中拷贝数据的策略。
    请参考 Create a staging environment for upgrading Confluence 页面中的内容来获得如何创建一个升级的测试环境。
      
  2. 请按照升级的步骤来在你的测试环境中进行升级。
      

  3. 在对正式服务器进行升级之前,测试任何不支持的用户自定义安装的应用,自定义配置(例如主题和布局)和反向代理服务器配置(如果你安装了的话)。


升级 Confluence

4. 备份 

  1. 备份你的数据库(database)并确定你的备份被正确创建了。
    如果你的数据库不能支持在线备份,那么你需要首先停止你的 Confluence 服务。
     
  2. 备份你的安装目录(installation directory)
    Confluence 安装程序将会完全重写删除这个目录,任何位于这个目录中你添加的内容(例如一个 keystore 或者 SSL 证书)都会被删除。尽管安装程序在安装之前会备份这个目录中的内容,但是你最好还是手动备份你的这个安装目录。
      
  3. 备份你的 Home 目录(home directory) 
    安装程序将会在安装的过程中给你一个是否需要备份你的 Home 目录的选项作为安装进程的一部分。但是你最好在安装之前备份 Home 目录中的内容。
      

     我的 Home 目录在哪里?

    你可以在 <installation-directory>/confluence/WEB-INF/classes/confluence-init.properties 文件中确定你 Confluence 的 Home 目录在哪里。

    这个目录是你的查找索引和附件存储的地方。如果你讲 Confluence 的附件存储在了 Home 目录以外的位置的话,你也应该同时备份这个附件的目录。

5. 下载 Confluence

针对你的操作系统的不同下载安装程序:

6. 运行安装程序

  1. 运行安装程序
      

     告诉我如何在 Windows 环境下进行操作...

    运行 .exe 文件。我们推荐使用 Windows 的 管理员账户。

    如果在弹出的窗口中提示将会对你的计算机进行修改的对话框的话,选择 'Yes'。如果你在这里不选择 Yes 的话,安装进程将会在对你的操作系统进行访问的时候受到限制,后序的一些安装进程可能会受到限制而没有办法完成。

     告诉我如何在 Linux 环境下进行操作...

    进入你下载 Confluence 执行文件的目录,然后运行下面的命令来让安装程序能够被执行:

    $ chmod a+x atlassian-confluence-X.X.X-x64.bin

    X.X.X 是你下载的 Confluence 的版本号。

    下一步,运行安装程序 —— 我们推荐你使用 sudo 来运行这个安装程序:

    $ sudo ./atlassian-confluence-X.X.X-x64.bin

    你也可以选择以 root 用户的权限来运行这个安装程序。

      

  2. 按照 Confluence 的安装提示来进行升级:
     
    1. 当提示选择 Upgrade an existing Confluence installation (针对 Linux 这个选项是 3)。
        
    2. 请确定安装程序建议的 已经存在的 Confluence 安装目录(Existing Confluence installation directory) 是正确的路径,尤其是针对多个 Confluence 安装实例的情况下。
        
    3. 强烈建议 备份 Home 目录(Back up Confluence home) 。这个步骤将会为你的 Confluence home 目录和安装目录创建一个 .zip 备份。
        
    4. 安装进程将会通知你自定义 Confluence 安装目录,请记录这个安装目录,你可能还需要在后续的过程中应用这个设置。

       有以下的一些限制...

      安装进程能够通知你有关对自定义配置的一些修改,这个是基于你已经存在的 Confluence 安装实例而言的: 

      • 如果你当前的 Confluence 安装使用的是 Confluence 安装程序,那么 Confluence 的升级安装程序将会检查整个 Confluence 的安装目录。
      • 如果你当前的 Confluence 安装实例使用的是手工安装的话,那么新的安装程序将会只姜茶  confluence 子目录,这个子目录在 Confluence 安装目录中。安装程序将不会通知你其他目录的修改。例如你对启动脚本的修改,这个脚本文件位于 bin 目录下面,或者对 server.xml 文件的修改(通常保存有 SSL 配置)。

      针对你添加到安装目录中的文件,你可能得不到修改的通知,所以请确定在安装之前完成正确的备份。

  3. 安装进程将会关闭 Confluence 实例然后进行升级。一旦安装升级完成后,你可以在浏览器中运行 Confluence 以确定本次升级安装已经成功了。
     
    根据你安装实例的不同和你进行升级的步骤的选择不同,安装升级的过程可能从几分钟到几个小时。

升级以后

7. 拷贝你的数据库驱动

如果你现在使用的是 Oracle 或者 MySQL 数据库的话,你讲要重新拷贝 jdbc 驱动的 jar 文件到你已经存在的 Confluence 安装目录中 confluence/WEB-INF/lib ,这个目录在你的新安装目录下。

如果你使用的是 Microsoft SQL 和 Postgres 数据库,你可以忽略这个步骤。

8. 重新应用任何修改

在升级和和整合的过程中,Confluence 安装下面的配置将会被修改:

  • TCP 端口的值,在 <install-directory>/conf/server.xml 文件中。
  • Confluence home 目录的位置,在 <install-directory>/confluence/WEB-INF/classes/confluence-init.properties 属性文件中。
      

所有其他的自定义配置,包括 CATALINA_OPTS 参数,这个参数在你的 <install-directory>/bin/setenv.sh / setenv.bat 文件中,都需要手动修改。

 告诉我如何进行这些操作...

所有其他的配置,自定义的配置(包括任何对 <install-directory>/conf/server.xml 文件的修改)或者任何你添加到安装目录中的文件,将不会在安装升级的过程中被合并到新的安装实例中,你需要手动进行处理。

  1. 停止你已经升级的 Confluence 安装实例。
  2. 编辑每一个文件,然后替换到你 Confluence 安装目录中的文件。
  3. 拷贝其他附加的文件(例如 keystore 或者 SSL 证书)。
  4. 重新启动 Confluence 实例

我们 强烈推荐 你在测试环境中测试你的的自定义配置。一些针对 Confluence 配置文件的修改将会导致 Confluence 不能够正常被使用。

9. 更新你的反向代理,并且确定 Confluence 能够正常访问


如果你正在计划从 Confluence 5.x 升级 Confluence 6.x 你需要修改你的服务器反向代理(如果你使用了的话),并且添加 Synchrony,Synchrony 在协同编辑中使用。请参考 Proxy and SSL considerations 页面中的内容来获得更多的信息,你需要对你的反向代理来进行配置。

一旦你的升级完成,你将可用访问 Confluence(通过代理访问,不是直接访问)并且:

  • 进入  > 基本配置(General Configuration) > 协同编辑(Collaborative editing) 然后检查 Synchrony 的状态是否在运行(running)
  • 对任何页面在浏览器中进行编辑,并且确定你能够连接 Synchrony。

如果 Synchrony 没有运行或者你可以在编辑器中查看到错误,请访问 Troubleshooting Collaborative Editing 页面获得建议的修改步骤,有可能是你的反向代理没有配置正确。

问题解决

升级的时候遇到了问题了吗?

如果你想尝试重新进行升级的话,你需要首先重新恢复老的备份。不要尝试再次对 Confluence 进行升级或者在升级失败后重新启动老的 Confluence。

 在升级过程中的一些常见问题...
  • 因为许可证过期了,不能进行升级
    如果你的许可证已经过期了,但是还没有收到新的许可证的话,在升级的过程中将会收到升级错误的提示。请参考 Upgrading Beyond Current Licensed Period 页面中的内容。

  • 因为防病毒软件的问题不能进行升级
    一些防病毒软件或者其他的一些互联网安全工具将会干扰 Confluence 的升级或者阻止升级到的正常完成,尤其是你将 Confluence 运行在 Windows 服务器的情况下。如果你在升级的时候遇到了的问题,那么你需要在升级之前将防病毒软件和互联网工具先禁用。
  • 数据库不支持在线备份
    在升级工具中将会弹出备份你的数据库选项并提示你使用数据库备份工具进行备份。如果你的数据库不支持在线备份的话,停止升级进程,关闭 Confluence,然后进行你的数据库备份,然后再次运行升级程序来进行升级。
  • 升级过程需要很长时间
    如果你的数据库非常大的话(例如,备份可能需要很长时间才能完成),设置  confluence.upgrade.recovery.file.enabled system property 为 false 来加快升级过程。这个通常只针对大数据库和在升级的时候进行数据库备份来进行配置。
  • Confluence 不能启动
    不兼容的 Confluence 市场应用会阻止 Confluence 的正常启动。你可以从对这些插件和应用进行查看并且对阻止启动的插件和应用进行临时的禁用。请参考 Start and Stop Confluence 页面中的内容。
  • 协同编辑错误
    如果同步编辑没有运行或者你看到了错误,请参考 Troubleshooting Collaborative Editing 页面来让同步编辑启动并且在你的环境中运行。最常见的问题是反向dialing配置错误或者端口 8091 不能被协同编辑进程使用。

你可以参考 Upgrade Troubleshooting 页面 Confluence 知识库中的内容或者查看 Atlassian Answers


  • No labels